/*
 * Class reference CHARACTER_32
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_844 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_844 [] = {0xFF01,1551,843,0xFFFF};
static const EIF_TYPE_INDEX egt_2_844 [] = {0xFF01,843,0xFFFF};
static const EIF_TYPE_INDEX egt_3_844 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_844 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_844 [] = {0xFF01,843,0xFFFF};
static const EIF_TYPE_INDEX egt_6_844 [] = {0xFF01,843,0xFFFF};
static const EIF_TYPE_INDEX egt_7_844 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_844 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_844 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_844 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_844 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_844 [] = {0xFF01,843,0xFFFF};
static const EIF_TYPE_INDEX egt_13_844 [] = {0xFF01,843,0xFFFF};
static const EIF_TYPE_INDEX egt_14_844 [] = {0xFF01,843,0xFFFF};
static const EIF_TYPE_INDEX egt_15_844 [] = {0xFF01,843,0xFFFF};
static const EIF_TYPE_INDEX egt_16_844 [] = {0xFF01,841,0xFFFF};
static const EIF_TYPE_INDEX egt_17_844 [] = {0xFF01,104,0xFFFF};


static const struct desc_info desc_844[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_844), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_844), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20873, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_844), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_844), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_844), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_844), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_844), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_844), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_844), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_844), 20880, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_844), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_844), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_844), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_844), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 20903, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19391, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20872, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6342, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6343, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6344, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6338, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_844), 6339, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_844), 6340, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0695 /*842*/), 20901, 0},
	{EIF_NON_GENERIC(0x06CB /*869*/), 20909, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 20910, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 20905, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 20870, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 20871, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0695 /*842*/), 20874, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0695 /*842*/), 20875, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 20876, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0695 /*842*/), 20877, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0695 /*842*/), 20878, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 20879, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 20881, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_844), 20882, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 20911, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0695 /*842*/), 20884, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0695 /*842*/), 20885, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0695 /*842*/), 20886, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0695 /*842*/), 20887, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0695 /*842*/), 20888, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20889, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20890, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20891, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20892, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20893, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20894, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20895, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20896, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20897, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20898, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20899, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_844), 20900, 0xFFFFFFFF},
};
void Init844(void)
{
	IDSC(desc_844, 0, 843);
	IDSC(desc_844 + 1, 1, 843);
	IDSC(desc_844 + 32, 700, 843);
	IDSC(desc_844 + 34, 1459, 843);
	IDSC(desc_844 + 38, 939, 843);
	IDSC(desc_844 + 41, 1652, 843);
}


#ifdef __cplusplus
}
#endif
